# STP topology change

Monitors status of STP topology change

This is a rewrite for CMK 2.x based on the check **Cisco Spanning-Tree Topology Change** (cisco_stptopo) by Udo Woehler (check-mk[at]bsw-com[dot]de).

---
### Check Info

* *service*: creates the service **STP topology change**

* *state*: \
    **critical**/**warning**: 
    * if there are tree or more STP topology changes in the configured interval (see WATO)\

* *wato*: [(see WATO options)](doc/wato.png "see sample screenshot")

* *perfdata (if avilable)*: 
    * STP topology change (s)
    * STP topology changes (count)

---
### Download

* [stp_topo_change.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/stp_topo_change/-/raw/master/stp_topo_change.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install stp_topo_change.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](doc/sample.png?raw=true "sample output")

WATO

![WATO options](doc/wato.png?raw=true "WATO options")
